| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfSCR Struct Reference
Subscriber Features

Selective Call Rejecting. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
unsp__SubControl * | SubControlled
| Indicates whether the subscriber can enable/disable the service. More...
enum unsp__BillingType * | Billing
| Billing Type. More...
struct unsp__ScreenList * | ScreenList
| List of calling numbers to reject. More...
struct unsp__CfSCR_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Selective Call Rejecting.

The Selective Call Rejection feature provides the capability to build a list of numbers (known as a screening list) from which the subscriber does not want to accept incoming calls. When a caller's number does not match a number on the rejection list, the call is completed. When the caller's number matches a number on the rejection list, the caller hears an announcement that indicates the subscriber does not accept calls from the number.
MP2 command: CFSCR [Attributes]

## Member Data Documentation

## ◆ Billing

enum unsp__BillingType* unsp__CfSCR::Billing

Billing Type.

required: false
default value[range]: FlatRate

## ◆ Enabled

unsp__Enabled* unsp__CfSCR::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfSCR_locPres* unsp__CfSCR::Local

Local Presence flags.

## ◆ ScreenList

struct unsp__ScreenList* unsp__CfSCR::ScreenList

List of calling numbers to reject.

Callers on this list will not be put through to the subscriber.
required: false

## ◆ SubControlled

unsp__SubControl* unsp__CfSCR::SubControlled

Indicates whether the subscriber can enable/disable the service.

required: false
default value[range]: false

## ◆ Subscribed

enum unsp__Subscribed unsp__CfSCR::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h